BookSmart

Locked New Snow Leopard Patch for Mac Users

UPDATE: BookSmart now includes the patch discussed in this forum thread. Now that the patch is included in BookSmart just download the most recent version of BookSmart to get things working. Consequently, this post has been updated to remove patch information, but we’ve retained the thread.

Download BookSmart

If you’re still not successful in getting BookSmart running on Snow Leopard, please contact customer support.

Thanks to everyone for their feedback on making our Snow Leopard patch better.

- Kathy

Posted by
kathybad
Sep 2, 2009 3:01pm PDT
Permalink
kathybad
 

I followed the instructions for installing the BookSmart SnowLeopard Patcher 2009.9.1 but BookSmart still does not work. When I open BookSmart, I get BookSmart in my tool bar but the only thing I can do is use the About BookSmart or Close BookSmart.

Mel

Posted by
meltonholden
Sep 5, 2009 5:58pm PDT
Permalink
meltonholden
 

Hi, Thanks for the reply so fast. You guys really do care about the customer in my opinion. Anyway – I just did the patch and Booksmart opens just fine on this machine which is an Air. Not the one I use for book making – but just to test that Snow Leopard and Booksmart will run OK. So on this set up we have lift off. Think I’ll still hang fire  on Snow Leopard installation on my big machine till I hear/see more posts. But many thanks. Marcus

Posted by
marcbrierley
Sep 6, 2009 8:03am PDT
Permalink
marcbrierley
 

Hi, Just reinstalled Booksmart in Snow Leopard. Tried the automater script and it didn’t work. I have just tried to follow the manual install and when I click on the folder and open package contents to find nothing in the folder?

 Not sure what I am doing wrong please could someone help.

 Many thanks

 Rob

Posted by
robstrange
Sep 6, 2009 11:09am PDT
Permalink
robstrange
 

It seems to work here !
I have not made a book from start to end, but I’ve browsed the application as if I were making one and I have no issues to report.
Before the patch I could open Smartbook but I was stuck there without seeing the first dialog box asking what to do (import book, open book, start new book etc)

I have a iMac
Thank you
Enrico (Italy)

Posted by
eanghil
Sep 6, 2009 2:18pm PDT
Permalink
eanghil
 

I have a MacPro 8 core Xeon. Downloaded the patch and BookSmart still doesn’t run under Snow Leopard. When opened I get =the BookSmart menu, but all I can do is “About BookSmart” and “Quit BookSmart”. I have Version 2.0.2.29291 with the patch installed.

jc

Posted by
jbcampbell
Sep 6, 2009 3:50pm PDT
Permalink
jbcampbell
 

I have 2.0Ghx Intel Core Duo iMac and have not been able to run booksmart. i get an error messages saying I can’t open the application Booksmart.app because it may be damaged or incomplete. Same message before and after the patch. I tried reloaded version 1.95 and got the same message. Wondering if I need to go to the library files and do some manual removal and then try to reinstall.

Posted by
ghbroker3
Sep 6, 2009 4:17pm PDT
Permalink
ghbroker3
 

Hi there

Nothing worked for me either until my boyfriend (who is a computer programmer) changed one line in the script. Check it out. Maybe it helps. Worked for me anyway: http://forums.blurb.com/forums/1/topics/7149

theresa

Posted by
abzinthia
Sep 8, 2009 1:33am PDT
Permalink
abzinthia
 

Thanks a million! I was getting really stressed couse i really needed my booksmart to work now!

Maybe you should add this to the FAQ because the forum is the last place i searched!

Posted by
fotomikka
Sep 9, 2009 11:24am PDT
Permalink
fotomikka
 

patch works just fine! thanks!

Posted by
theoceanwar
Sep 10, 2009 10:15am PDT
Permalink
theoceanwar
 

Thanks for this info. It now works fine!

Saludos,
daniel

Posted by
dansanphoto
Sep 11, 2009 7:53am PDT
Permalink
dansanphoto
 

I am using Snow Leopard version 10.6.1, have downloaded your patch for blurb and managed to publish and order a book. What I cannot do is promote it I cannot import contacts. Is there another patch? or is there some other way I can send a link to my book to family and friends?

Posted by
patcleeve
Sep 13, 2009 8:37am PDT
Permalink
patcleeve
 

I have the same problem – Booksmart won’t run.  I applied the first patch with no success. I applied the second patch manually and it worked once. I have removed the application and have reapplied the latest patches a second time with no success. Is there a new "complete" release? Can you provide an official "latest and greatest" patch location? There are multiple threads with outdated links to older patches that make this process confusing. Thanks for your help!

Posted by
pokeyzilla
Sep 14, 2009 9:29am PDT
Permalink
pokeyzilla
 

I have a problem Patch works but it can’t imports the photos from iphoto. In the bookmark’s window appears "loading" all the time instead of the photos from iphoto. Thanks for your help!

Posted by
aircas
Sep 14, 2009 9:49am PDT
Permalink
aircas
 

Nice job guys. A very easy patch. Up and running in just a couple minutes. Though when I used your site search with “snow leopard” it came up empty. Had to go directly to Forums where I immediately found “Snow Leopard” at the top of the list.

Any way, your patch is working well on my 17" MacBookPro running OSX 10.6.1. Cheers- D

Posted by
vanetc
Sep 14, 2009 10:13am PDT
Permalink
vanetc
 

The alternative patch worked for me, but I can’t find the book I had almost finished (or other earlier books) before SL upgrade to 10.6.1. Any suggestions?

Posted by
rexv
Sep 16, 2009 12:58pm PDT
Permalink
rexv
 

I sent a message to customer support a couple of days ago about this issue.  I don’t know why I didn’t find this posting at that time. Please disregard that message.

Just applied the patch from the 9/2 posting and it worked like a charm.  I am so happy to have BookSmart running on my MacBook.  I am thrilled about being able to justify the text now, which is one of the reasons I upgraded to Leopard (Snow, by default, since I just got it a couple of days ago).  I had to finish my book on my PC in July so that I could do the justification.

 Thanks for being on top of things.  I’m glad I was able to use the basic fix.

Posted by
barbw435
Sep 17, 2009 12:00pm PDT
Permalink
barbw435
 

The patch works fine on a MacBook Pro. Be patient, it takes a couple of seconds to load. Good Luck!

Posted by
pencil2paper
Sep 17, 2009 7:29pm PDT
Permalink
pencil2paper
 

Worked perfect for me on Snow Leopard! Thanks!

Posted by
andyanderson
Sep 18, 2009 7:05am PDT
Permalink
andyanderson
 

Awesome! Guess I should have looked for this post, before I sent a tech email. Worked perfect!

Posted by
wvblast
Sep 19, 2009 4:08pm PDT
Permalink
wvblast
 

Help! I have tried repeatedly to use two different patches to make my booksmart work with snow leopard and each has failed. Is there somewhere I could take my mac in San Francisco where someone could look at it? Thanks so much!

Posted by
kmjmason
Sep 22, 2009 2:29pm PDT
Permalink
kmjmason
 

After the fresh installing of Snow Leopard BookSmart shows just the menu, so I tried the patch and it worked but… after the first patch of Snow Leopard last week BookSmart crashes each time I try to open it, tried to download BookSmart again, tried the first patch, the alternate one, the manual trick… no success… It crashes.. and I am stuck once again with some URGENT book in the queue.

Posted by
carodani
Sep 24, 2009 3:31am PDT
Permalink
carodani
 

Help! I have tried repeatedly to use two different patches to make my booksmart work with snow leopard and each has failed.

Posted by
VVVeddiing
Oct 11, 2009 4:42am PDT
Permalink
VVVeddiing
 

I have almost the same problem that carodani have. Everytime I try to edit one of my photobook it crashes. The patch didn’t work for me.

Posted by
rar_x
Nov 19, 2009 7:20am PDT
Permalink
rar_x
 

I’ve tried everything described in this thread and the previous. I can’t get old photos out of the My Photos library. When selected, nothing happens when delete key is used, or menu shortcuts, and the copy, paste, delete parts of the Edit menu are greyed out.

Posted by
mr5roses
Dec 2, 2009 5:26pm PDT
Permalink
mr5roses
 

Hi mr5roses,

You’ve replied to an older thread about installing BookSmart. To get help with your image library question please send a support inquiry to us here

Regards,
Michael

Blurb Customer Support

Posted by
mikewhy
Dec 3, 2009 8:58am PDT
Permalink
mikewhy Icon_staff
 

Snow Leopard works fine with the latest version of BookSmart so I am going to lock this thread. Feel free to start another one.

– Kathy

Posted by
kathybad
Dec 3, 2009 12:00pm PDT
Permalink
kathybad